%define name	parted
%define	version	1.4.10
%define release 1mdk

Summary:	Flexible partitioning tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Configuration/Hardware
BuildRequires: gpm-devel ncurses-devel e2fsprogs-devel
URL:		http://www.gnu.org/software/parted
Source:		ftp://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildPrereq:	e2fsprogs-devel, readline-devel

%package	-n libparted2
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs

%package	-n libparted2-devel
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs libparted2 = %{version}
Provides:       libparted-devel parted-devel
Obsoletes:      parted-devel

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description	-n libparted2
This package includes the dynamic libraries

%description	-n libparted2-devel
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q

%build
%configure
make

%install
%makeinstall

%find_lang %{name}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root,755)
%doc BUGS NEWS
%{_sbindir}/*
%{_mandir}/*/*

%files -n libparted2 -f %{name}.lang
%defattr(-,root,root,755)
%doc README TODO
%{_libdir}/*.so.*

%files -n libparted2-devel
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*

%post   -n libparted2 -p /sbin/ldconfig
%postun -n libparted2 -p /sbin/ldconfig

%changelog
* Sat Mar 17 2001 Pixel <pixel@mandrakesoft.com> 1.4.10-1mdk
- new version

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.9-1mdk
- 1.4.9 hot from the oven.

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.8-1mdk
- new and shiny source.

* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Dec 28 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-1mdk
- new version

* Mon Dec  4 2000 Pixel <pixel@mandrakesoft.com> 1.4.4-2mdk
- add obsoletes & provides parted-devel

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.4-1mdk
- new and shiny source.

* Thu Nov 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.1-2mdk
- move library to its own package  (libization)

* Wed Nov 15 2000 Pixel <pixel@mandrakesoft.com> 1.4.1-1mdk
- new version

* Mon Nov 13 2000 Pixel <pixel@mandrakesoft.com> 1.4.0-1mdk
- new version

* Sun Nov 12 2000 Pixel <pixel@mandrakesoft.com> 1.2.13-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 1.2.12-2mdk
- capitalize summaries

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 1.2.12-1mdk
- new version

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 1.2.11-1mdk
- new version

* Sun Oct 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.10-1mdk
- new version

* Sun Sep 10 2000 Pixel <pixel@mandrakesoft.com> 1.2.9-1mdk
- new version

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.8-1mdk
- a new and shiny version.

* Wed Aug 16 2000 Pixel <pixel@mandrakesoft.com> 1.2.7-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.6-3mdk
- automatically added BuildRequires

* Fri Aug  4 2000 Pixel <pixel@mandrakesoft.com> 1.2.6-2mdk
- use find_lang

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.6-1mdk
- new release

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-3mdk
- move .so to -devel

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-2mdk
- use *all* new macros
- BM

* Tue Jul 18 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-1mdk
- new version

* Sat Jul 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-1mdk
- new version

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release
- use new macros
- add postun ldconfig (pixel sucks)

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2 (bug fixes release)
- add ldconfig in postinst (pxlscks)
- move libparted.so link to parted since parted need it (only keep lib*.a in
  parted-devel package) (pxlscks)

* Thu Jun 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.1-1mdk
- new version

* Thu Jun  8 2000 Pixel <pixel@mandrakesoft.com> 1.0.17-4mdk
- new version (and add missing changelog, sorry for not resetting release, too late)

* Tue May 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.0.13-3mdk
- requires parted for parted-devel or you can't link anything!

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.13-2mdk

- Changed group for parted-devel
- Removed .po instal hack, looks like the Makefile is up to the task again -
  good.

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.0.13-1mdk
- new version

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0.12-1mdk
- new version

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 1.0.11-1mdk
- new version

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.10-3mdk

- Don't use prefix, too many headaches
- Some spec file changes
- Changed group according to 7.1 hierarchy (the package wasn't in the list)
- Let spec-helper do its job

* Tue Feb 29 2000 Pixel <pixel@mandrakesoft.com> 1.0.10-1mdk
- new version

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-2mdk
- bzip man page
- remove vendor tag

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-1mdk
- new version

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used a great srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Rebuilt for Mandrake
- 1.0.8

* Mon Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.7-2]
- made ped_device_seek() a bit more portable
- changed type of PedDevice's heads, sector, cyl fields to int's.
- added a man page, contributed by Timshel Knoll <timshel@pobox.com>

* Thu Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.6-2]
- fixed >16gig bug in libparted/disk_dos.c  (need LE32, not LE16!!!)

* Tue Jan 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.5-2]
- applied patch from Tim Waugh <twaugh@redhat.com>
- added autoconfuse checks up-to-date linux/ext2_fs.h
- imported new ext2_fs.h
- imported changes from ext2resize, to add support the ext2 "filetype"
  feature
- removed -Wno-sign-compare, because it breaks older gcc
- moved checks for termcap up before readline check, and get readline check
  to use the result of the termcap check.
- the "termcap" library can be now be one of: -ltermcap, -ltermlib, -lcurses,
  -lncurses.
- fixed buglet for FAT16 cluster entries
- fixed (hopefully) str_list_print_wrap()
- use static for do_* in parted/parted.c
- cleaned up parted.spec.in

  [parted-1.0.4-2]
- Fixed a silly bug in ped_partition_set_system() for extended partitions

* Tue Jan  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.3-2]
- Arrghh!  Found (and fixed) a VERY nasty bug during partition table writes.

  [parted-1.0.2-1]
- Arrghh!  Found (and fixed) a nasty bug in the string printing code.

  [parted-1.0.1-1]
- added some documentation about --without-readline and --disable-nls

